<?php
require_once("DBManager.class.php");

class Descuento{
	private $iddscto;
	private $idafiliado;///
	private $fecha;
	private $concepto;
	private $monto;
		
	///////////////////////////////////////////
	public function Crear($idafi,$fecha,$nom,$monto)
	{
		$resp=false;		
		$db= new DBManager();	
		$fecha = implode("-", array_reverse(explode("-", $fecha)));	
		if($db->_execute("INSERT INTO descuento(iddscto,idafiliado,fecha,concepto,monto) VALUES(null,".$idafi.",'".$fecha."','".$nom."',".$monto.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorFecha($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$v = implode("-", array_reverse(explode("-", $v)));		
		$rs=$db->execute("select iddscto,idafiliado,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,concepto,monto from descuento where(fecha ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("iddscto"	    => $rs->fields["iddscto"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"fecha" 	    => $rs->fields["fecha"],
									"concepto" 	=> $rs->fields["concepto"],
									"monto" 	=> $rs->fields["monto"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select iddscto,idafiliado,fecha,concepto,monto from descuento where(iddscto = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->iddscto=$rs->fields["iddscto"];
					  $this->idafiliado=$rs->fields["idafiliado"];
					  $this->fecha=$rs->fields["fecha"];
				      $this->concepto=$rs->fields["concepto"];
					  $this->monto=$rs->fields["monto"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idd,$fecha,$nom,$fn,$monto)			
	{
		$resp=false;		
		$db= new DBManager();	
		$fn = implode("-",array_reverse(explode("-",$fn)));	
		if($db->_execute("update descuento set fecha='".$fn."',concepto = '".$nom."', monto=".$monto." where (iddscto=".$idd.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorIdafiliado($id)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select iddscto,idafiliado,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,concepto,monto from descuento where (idafiliado=".$id.") ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("iddscto"	    => $rs->fields["iddscto"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"fecha" 	    => $rs->fields["fecha"],
									"concepto" 	=> $rs->fields["concepto"],
									"monto" 	=> $rs->fields["monto"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM descuento WHERE (iddscto=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getiddscto(){ return $this->iddscto;}
	public function getidafiliado(){ return $this->idafiliado;}
	public function getconcepto(){ return $this->concepto;}
	public function getfecha(){ return $this->fecha;}
	public function getmonto(){ return $this->monto;}
	
	}
?>
